swSpecificHeat {oce} | R Documentation

## Seawater specific heat Source= http://sam.ucsd.edu/sio210/propseawater/ppsw_fortran/ppsw.f check value: cpsw = 3849.500 j/(kg deg. c) for s = 40 (ipss-78),

### Description

Compute specific heat of seawater.

### Usage

    swSpecificHeat(salinity, temperature = NULL, pressure = 0,
      longitude = NULL, latitude = NULL, eos = getOption("oceEOS", default =
      "gsw"))

### Arguments

`salinity` | either practical salinity (in which case `temperature` and `pressure` must be provided) or an `oce` object (in which case `salinity`, etc. are inferred from the object).
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale.
`pressure` | seawater pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`eos` | equation of state, either `"unesco"` or `"gsw"`.

### Details

If the first argument is a `ctd` object, then salinity, etc, are extracted from it, and used for the calculation.

### Value

Specific heat J/(kg degC)

### Author(s)

Dan Kelley

### References

Millero et. al., J. Geophys. Res. 78 (1973), 4499-4507

Millero et. al., UNESCO report 38 (1981), 99-188.

### See Also

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlphaOverBeta`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDepth`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma2`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpice`, `swTFreeze`, `swTSrho`, `swThermalConductivity`, `swTheta`, `swViscosity`, `swZ`

### Examples

    swSpecificHeat(40, T90fromT68(40), 10000, eos="unesco") # 3949.499

[Package oce version 0.9-22 Index]